import { Control } from "igniteui-react-core";
import { INotifyPropertyChanged, Type, Base, Point, EventArgs, PropertyChangedEventArgs, IEnumerable, IEnumerable$1, IList$1 } from "igniteui-react-core";
import { ILegendOwner } from "igniteui-react-core";
import { IInternalLegendOwner } from "igniteui-react-core";
import { ISeriesViewerWidget } from "./ISeriesViewerWidget";
import { SRProvider } from "igniteui-react-core";
import { DoubleAnimator } from "igniteui-react-core";
import { IChartLegend } from "igniteui-react-core";
import { DependencyProperty } from "igniteui-react-core";
import { DependencyObject } from "igniteui-react-core";
import { SeriesHighlightingMode } from "./SeriesHighlightingMode";
import { SeriesHighlightingBehavior } from "./SeriesHighlightingBehavior";
import { LegendHighlightingMode } from "./LegendHighlightingMode";
import { Rect } from "igniteui-react-core";
import { ChartHitTestMode } from "./ChartHitTestMode";
import { InteractionState } from "igniteui-react-core";
import { WindowResponse } from "./WindowResponse";
import { Visibility } from "igniteui-react-core";
import { IOverviewPlusDetailPane } from "igniteui-react-core";
import { SeriesViewerComponentsFromView } from "./SeriesViewerComponentsFromView";
import { ZoomCoercionMode } from "./ZoomCoercionMode";
import { Brush } from "igniteui-react-core";
import { ModifierKeys } from "igniteui-react-core";
import { DataTemplate } from "igniteui-react-core";
import { HorizontalAlignment } from "igniteui-react-core";
import { CanvasRenderScheduler } from "igniteui-react-core";
import { SyncSettings } from "./SyncSettings";
import { SeriesViewerComponentsForView } from "./SeriesViewerComponentsForView";
import { Dictionary$2 } from "igniteui-react-core";
import { PropertyUpdatedEventArgs } from "igniteui-react-core";
import { NotifyCollectionChangedEventArgs } from "igniteui-react-core";
import { ObservableCollection$1 } from "igniteui-react-core";
import { Size } from "igniteui-react-core";
import { List$1 } from "igniteui-react-core";
import { FrameworkElement } from "igniteui-react-core";
import { EventProxy } from "igniteui-react-core";
import { MouseEventArgs } from "igniteui-react-core";
import { MouseButtonEventArgs } from "igniteui-react-core";
import { Tuple$2 } from "igniteui-react-core";
import { ScalerParams } from "./ScalerParams";
import { SeriesViewerManipulationEventArgs } from "./SeriesViewerManipulationEventArgs";
import { Key } from "igniteui-react-core";
import { CultureInfo } from "igniteui-react-core";
import { RectChangedEventArgs } from "igniteui-react-core";
import { RefreshCompletedEventArgs } from "./RefreshCompletedEventArgs";
import { Thickness } from "igniteui-react-core";
import { AxisTitlePosition } from "./AxisTitlePosition";
import { FontInfo } from "igniteui-react-core";
import { IFastItemsSource } from "igniteui-react-core";
import { CoercionInfo } from "./CoercionInfo";
import { ChartContentType } from "./ChartContentType";
import { ISchedulableRender } from "igniteui-react-core";
import { Rectangle } from "igniteui-react-core";
import { Path } from "igniteui-react-core";
import { Line } from "igniteui-react-core";
import { RenderingContext } from "igniteui-react-core";
import { TextBlock } from "igniteui-react-core";
import { ITileZoomTile } from "./ITileZoomTile";
import { IExecutionContext } from "igniteui-react-core";
import { RenderSurface } from "./RenderSurface";
import { PathGeometry } from "igniteui-react-core";
import { Geometry } from "igniteui-react-core";
import { DataContext } from "igniteui-react-core";
import { LabelPanelsArrangeState } from "./LabelPanelsArrangeState";
import { AxisLabelsLocation } from "./AxisLabelsLocation";
import { IProvidesViewport } from "./IProvidesViewport";
import { DomRenderer, DomWrapper } from "igniteui-react-core";
import { PointerTooltipStyle } from "./PointerTooltipStyle";
import { BrushCollection } from "igniteui-react-core";
import { DefaultPaletteInfo } from "./DefaultPaletteInfo";
import { AxisRange } from "./AxisRange";
import { AxisAnnotationCollection } from "./AxisAnnotationCollection";
import { VerticalAlignment } from "igniteui-react-core";
import { Canvas } from "igniteui-react-core";
import { IFastItemsSourceProvider } from "igniteui-react-core";
import { AxisExtentType } from "./AxisExtentType";
import { DoubleCollection } from "igniteui-react-core";
import { LabelPosition } from "./LabelPosition";
import { BindingFormatter } from "igniteui-react-core";
import { LabelFontHeuristics } from "./LabelFontHeuristics";
import { AxisOrientation } from "./AxisOrientation";
import { Pool$1 } from "igniteui-react-core";
import { AxisComponentsFromView } from "./AxisComponentsFromView";
import { AxisRangeChangedEventArgs } from "./AxisRangeChangedEventArgs";
import { GeometryCollection } from "igniteui-react-core";
import { PathRenderingInfo } from "./PathRenderingInfo";
import { RenderRequestedEventArgs } from "./RenderRequestedEventArgs";
import { CategoryMode } from "./CategoryMode";
import { GridMode } from "./GridMode";
import { Panel } from "igniteui-react-core";
import { UIElement } from "igniteui-react-core";
import { TickmarkValues } from "./TickmarkValues";
import { ICategoryScaler } from "./ICategoryScaler";
import { FastItemsSourceEventArgs } from "igniteui-react-core";
import { FastItemsSourceEventAction } from "igniteui-react-core";
import { NumericAxisRenderingParameters } from "./NumericAxisRenderingParameters";
import { AxisRenderingParametersBase } from "./AxisRenderingParametersBase";
import { HighlightingState } from "./HighlightingState";
import { Marker } from "./Marker";
import { Polyline } from "igniteui-react-core";
import { ContentControl } from "igniteui-react-core";
import { Polygon } from "igniteui-react-core";
import { ComputedPlotAreaMarginMode } from "./ComputedPlotAreaMarginMode";
import { ILegendSeries } from "igniteui-react-core";
import { ILegendSeriesInternal } from "igniteui-react-core";
import { ILegendTemplateProvider } from "igniteui-react-core";
import { StandardLegendItems } from "igniteui-react-core";
import { StandardLegendBadges } from "igniteui-react-core";
import { PenLineCap } from "igniteui-react-core";
import { Color } from "igniteui-react-core";
import { SeriesVisibleRangeMode } from "./SeriesVisibleRangeMode";
import { SeriesOutlineMode } from "./SeriesOutlineMode";
import { TransitionInSpeedType } from "./TransitionInSpeedType";
import { SeriesHitTestMode } from "./SeriesHitTestMode";
import { SeriesComponentsForView } from "./SeriesComponentsForView";
import { MarkerOutlineMode } from "./MarkerOutlineMode";
import { MarkerFillMode } from "./MarkerFillMode";
import { SeriesPointOfInterest } from "./SeriesPointOfInterest";
import { SeriesComponentsFromView } from "./SeriesComponentsFromView";
import { IFastItemColumn$1 } from "igniteui-react-core";
import { ISortingAxis } from "./ISortingAxis";
import { MarkerType } from "./MarkerType";
import { Style } from "igniteui-react-core";
import { HashPool$2 } from "igniteui-react-core";
/**
 * @hidden
 */
export declare abstract class SeriesViewer extends Control implements INotifyPropertyChanged, ILegendOwner, IInternalLegendOwner {
    static $t: Type;
    private _widget;
    widget: ISeriesViewerWidget;
    b8: SeriesViewerView;
    static staticInit(): void;
    private cj;
    private readonly ck;
    private a0;
    readonly a1: ISeriesViewerInteractionManager;
    readonly dn: boolean;
    constructor();
    private b0;
    i6(): void;
    private kx;
    i7(): void;
    readonly series: SeriesCollection;
    private bd;
    private lq;
    i9(): void;
    protected jp(): void;
    private _skipDataCleanup;
    skipDataCleanup: boolean;
    protected lk(a: any): void;
    private lr;
    jc(a: number, b: number, c: boolean, d: boolean): {
        p0?: number;
        p1?: number;
    };
    db(): boolean;
    readonly ec: boolean;
    protected readonly dj: boolean;
    readonly az: IHighlightingManager;
    private i0;
    b9: DoubleAnimator;
    private i5;
    l4(a: number): void;
    i4(): void;
    n6(a: number): Brush;
    oc(a: number): Brush;
    oa(a: number): Brush;
    ob(a: number): Brush;
    al: ChartContentManager;
    ok: Point;
    private oj;
    readonly dm: boolean;
    legend: IChartLegend;
    static readonly m5: DependencyProperty;
    c3: boolean;
    plotAreaMouseLeftButtonDown: (sender: any, e: PlotAreaMouseButtonEventArgs) => void;
    plotAreaMouseLeftButtonUp: (sender: any, e: PlotAreaMouseButtonEventArgs) => void;
    plotAreaClicked: (sender: any, e: PlotAreaMouseButtonEventArgs) => void;
    plotAreaMouseEnter: (sender: any, e: PlotAreaMouseEventArgs) => void;
    plotAreaMouseLeave: (sender: any, e: PlotAreaMouseEventArgs) => void;
    plotAreaMouseOver: (sender: any, e: PlotAreaMouseEventArgs) => void;
    ke(a: Point, b: boolean): void;
    private a3;
    private a7;
    kf(a: Point, b: boolean, c: boolean): void;
    static readonly mq: DependencyProperty;
    dv: boolean;
    static readonly m3: DependencyProperty;
    eb: boolean;
    static readonly ni: DependencyProperty;
    bj: SeriesHighlightingMode;
    static readonly mz: DependencyProperty;
    private bi;
    private bf;
    readonly bg: SeriesHighlightingBehavior;
    bh: SeriesHighlightingBehavior;
    static readonly my: DependencyProperty;
    a2: LegendHighlightingMode;
    static readonly m4: DependencyProperty;
    propertyChanged: (sender: any, e: PropertyChangedEventArgs) => void;
    propertyUpdated: (sender: any, e: PropertyUpdatedEventArgs) => void;
    protected k5(a: string, b: any, c: any): void;
    j5(): void;
    j6(a: IEnumerable): void;
    kh(a: Series, b: any, c: any): void;
    kl(a: Series, b: any, c: any): void;
    ki(a: Series, b: any, c: any): void;
    kj(a: Series, b: any, c: any): void;
    kk(a: Series, b: any, c: any): void;
    ik(a: Rect, b: ScalerParams): Tuple$2<boolean, number>;
    readonly d1: boolean;
    private ct;
    jo(): void;
    km(a: Series, b: any, c: any): void;
    kn(a: Series, b: any, c: any): void;
    seriesCursorMouseMove: (sender: any, e: ChartCursorEventArgs) => void;
    k8(a: Series, b: any): void;
    seriesMouseLeftButtonDown: (sender: any, e: DataChartMouseButtonEventArgs) => void;
    lc(a: Series, b: any, c: MouseButtonEventArgs): void;
    seriesMouseLeftButtonUp: (sender: any, e: DataChartMouseButtonEventArgs) => void;
    ld(a: Series, b: any, c: MouseButtonEventArgs): void;
    seriesMouseMove: (sender: any, e: ChartMouseEventArgs) => void;
    lv(a: Point): void;
    lw(a: Point): void;
    le(a: Series, b: any, c: MouseEventArgs): void;
    seriesMouseEnter: (sender: any, e: ChartMouseEventArgs) => void;
    la(a: Series, b: any, c: MouseEventArgs): void;
    seriesMouseLeave: (sender: any, e: ChartMouseEventArgs) => void;
    lb(a: Series, b: any, c: MouseEventArgs): void;
    private co;
    jn(): void;
    private or;
    protected get_o7(): Rect;
    readonly o7: Rect;
    private op;
    ow: Rect;
    o1(a: Rect, b: Rect, c: Rect): Rect;
    private cm;
    private oo;
    protected get_ov(): Rect;
    readonly ov: Rect;
    oz(a: Rect, b: Rect, c: Rect): Rect;
    protected ou(a: Rect): Rect;
    o0(): Rect;
    protected l0(a: Axis): void;
    o8: Rect;
    ei: boolean;
    c1: boolean;
    d7: boolean;
    f5: number;
    private fy;
    f1: number;
    f4: number;
    k0(a: Rect, b: Rect): void;
    private bk;
    bl(): SeriesViewerComponentsForView;
    private cr;
    ir(a: Point, b: boolean): void;
    dr: boolean;
    private an;
    ap: ChartHitTestMode;
    lg(): void;
    protected aq(): ChartHitTestMode;
    private am;
    ao: ChartHitTestMode;
    ds: boolean;
    seriesAnimating: (series: Series) => void;
    k7(a: Series): void;
    abstract dx(): boolean;
    abstract dy(): boolean;
    dw(): boolean;
    onDetachedFromUI(): void;
    onAttachedToUI(): void;
    bz: InteractionState;
    private cp;
    private bv;
    j8(a: Point): void;
    j9(a: Point, b: boolean): void;
    d5(a: Point, b: number): boolean;
    jy(a: Point): void;
    d4(a: Key): boolean;
    private cv;
    c7: boolean;
    private cn;
    c4: boolean;
    protected get_dp(): boolean;
    readonly dp: boolean;
    j0(a: Point): void;
    readonly da: boolean;
    h8: string;
    kd(a: Point): void;
    j1(a: Point, b: boolean): void;
    jz(a: Point): void;
    d6: boolean;
    private kv;
    kc(a: Point): void;
    kw(a: Point, b: number, c: number, d: number): void;
    kb(a: number): void;
    ks(a: Point, b: number, c: number, d: number): void;
    j7(a: Point): void;
    ka(a: number): void;
    j2(a: Point): void;
    kr(a: Point, b: number, c: number, d: number): void;
    j4(a: Size): void;
    i3(): void;
    js(a: Point, b: boolean): void;
    bx(a: boolean): InteractionState;
    viewerManipulationStarting: (sender: any, e: SeriesViewerManipulationEventArgs) => void;
    viewerManipulationEnding: (sender: any, e: SeriesViewerManipulationEventArgs) => void;
    private cz;
    ku(): void;
    kt(): void;
    lx(): void;
    iy(): void;
    it(): void;
    is(): void;
    ky(): void;
    lj(): void;
    lh(): void;
    jr(a: Point, b: boolean): void;
    ea(): boolean;
    private cw;
    ee: boolean;
    jq(a: Point, b: boolean, c: boolean): void;
    ma(a: any, b: PropertyUpdatedEventArgs): void;
    l9(a: SyncLink, b: SyncLink): void;
    iu(a: Point): void;
    mc(a: Rect, b: boolean): void;
    md(a: Rect, b: boolean, c: boolean): void;
    kz(a: Rect, b: boolean): void;
    readonly dt: boolean;
    private _el;
    el(): IEnumerable$1<SeriesViewer>;
    om(a: Point): Point;
    o6(a: Rect): Rect;
    windowRectChanged: (sender: any, e: RectChangedEventArgs) => void;
    private lf;
    kq(a: Rect, b: Rect): void;
    sizeChanged: (sender: any, e: RectChangedEventArgs) => void;
    ko(a: Size, b: Size): void;
    de: boolean;
    d8(a: Rect, b: Rect): boolean;
    actualWindowRectChanged: (sender: any, e: RectChangedEventArgs) => void;
    private k3;
    lp(): void;
    gridAreaRectChanged: (sender: any, e: RectChangedEventArgs) => void;
    private k4;
    protected get_dq(): boolean;
    readonly dq: boolean;
    kg(a: Rect, b: Rect): void;
    bp: WindowResponse;
    jb(): void;
    c9: boolean;
    fw: number;
    private _syncChannel;
    syncChannel: string;
    private bm;
    actualSyncLink: SyncLink;
    ja(): void;
    pd: Visibility;
    private cy;
    jw(): void;
    ju(): void;
    jv(): void;
    readonly b1: IOverviewPlusDetailPane;
    protected l6(a: boolean): void;
    pc: Visibility;
    dd: boolean;
    eh: boolean;
    private bq;
    br: ZoomCoercionMode;
    bs(): ZoomCoercionMode;
    bt: ZoomCoercionMode;
    oe: Brush;
    n4: Brush;
    od: Brush;
    c6(): boolean;
    c2(): boolean;
    o9: Rect;
    iq(): void;
    private f0;
    private notifyCrosshairUpdate;
    protected mb(a: number, b: number): void;
    fe(): number;
    ff(): number;
    protected k1(a: any, b: string, c: any, d: any): void;
    readonly dk: boolean;
    protected readonly d3: boolean;
    bc: Series;
    l5(a: Point): void;
    private ij;
    l8(): void;
    protected jl(): void;
    l7(): void;
    private cx;
    protected ef: boolean;
    bw: InteractionState;
    by: InteractionState;
    n0: ModifierKeys;
    n1: ModifierKeys;
    private oq;
    o2: Rect;
    em: Date;
    ej: boolean;
    protected lz(): void;
    il(): void;
    fu: number;
    fv: number;
    private o5;
    refreshCompleted: (sender: any, e: RefreshCompletedEventArgs) => void;
    k6(): void;
    protected abstract b7(): SeriesViewerView;
    protected kp(a: SeriesViewerView): void;
    static o4: Rect;
    me: DataTemplate;
    mn: DataTemplate;
    mk: DataTemplate;
    ml: DataTemplate;
    mf: DataTemplate;
    mi: DataTemplate;
    mg: DataTemplate;
    mm: DataTemplate;
    mj: DataTemplate;
    mh: DataTemplate;
    hy: string;
    nz: HorizontalAlignment;
    ny: HorizontalAlignment;
    private gb;
    h5: string;
    private ga;
    ht: string;
    private n3;
    oi: Brush;
    private n2;
    oh: Brush;
    private e5;
    fs: number;
    private e3;
    fq: number;
    private e4;
    fr: number;
    private e2;
    fp: number;
    private e1;
    fo: number;
    private ez;
    fm: number;
    private e0;
    fn: number;
    private ey;
    fl: number;
    hm: string;
    pa(): Thickness;
    pb(): Thickness;
    aj(a: Axis): AxisTitlePosition;
    ak(a: Axis): AxisTitlePosition;
    abstract getFontInfo(): FontInfo;
    getFontHeight(): number;
    abstract getFontBrush(): Brush;
    abstract n5(): Brush;
    f8: any;
    provideContainer(a: any): void;
    jt(a: number, b: number): void;
    notifyContainerResized(): void;
    ox(): Rect;
    iz(): void;
    ol(): Point;
    cb(): FontInfo;
    ca(): FontInfo;
    n7(): Brush;
    n8(): Brush;
    io(a: Series): void;
    ll(a: Series): void;
    ah: CanvasRenderScheduler;
    ai: CanvasRenderScheduler;
    ag: CanvasRenderScheduler;
    private cu;
    d2: boolean;
    private cl;
    c0: boolean;
    private _syncSettings;
    syncSettings: SyncSettings;
    im(a: any): void;
    ln(a: any): void;
    ji(source_: any, a: number, b: any, c: any): void;
    jd(source_: any): void;
    jg(source_: any, a: number, b: any): void;
    jh(source_: any, a: number, b: any): void;
    destroyed: boolean;
    protected f6: any;
    protected ek: Dictionary$2<string, any>;
    d0: boolean;
    destroy(): void;
    protected ix(): void;
    lu(source_: any): void;
    lo(): void;
    lt(a: string, source_: any): void;
    lm(a: string, b: boolean): void;
    protected ls(a: Series, b: any): void;
    protected l2(a: any): void;
    protected l3(): void;
    private e6;
    ft: number;
    private ev;
    fh: number;
    private ex;
    fk: number;
    private et;
    fd: number;
    private es;
    fc: number;
    private er;
    fb: number;
    d9(): boolean;
    private cq;
    dg: boolean;
    private ew;
    fi: number;
    private eu;
    fg: number;
    static bu(a: string, b: any): CoercionInfo;
    private f9;
    g5: string;
    private eo;
    e8: number;
    private en;
    e7: number;
    private on;
    os: Rect;
    oy(): Rect;
    dc: boolean;
    private i8;
    o3(): Rect;
    protected ot(): Rect;
    f7(a: number, b: number): any;
    private ep;
    e9: number;
    private eq;
    fa: number;
    jk(): void;
    jj(): void;
    flush(): void;
    i2(a: boolean, b: boolean): void;
    eg(): boolean;
    private mo;
    private ar;
    protected li(a: DependencyObject, b: (arg1: boolean) => void): void;
    protected ly(a: DependencyObject): void;
    iv(): void;
    dh: boolean;
    di: boolean;
    df: boolean;
    j3(): void;
    private cs;
    readonly du: boolean;
    ip(): void;
    dz(): boolean;
    private fz;
    f3(): number;
    ce(): FontInfo;
    cd(): FontInfo;
    l1(): void;
    protected c5: boolean;
    og: Brush;
    of: Brush;
    fj: number;
    dl: boolean;
    seriesDataUpdated: (sender: any, e: EventArgs) => void;
    k9(): void;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare abstract class SeriesViewerView extends Base implements ISchedulableRender {
    static $t: Type;
    constructor(a: SeriesViewer);
    l(): IExecutionContext;
    cl(): void;
    p: SeriesViewer;
    c1(): void;
    e(): Series;
    private ck;
    a: CanvasRenderScheduler;
    n: IOverviewPlusDetailPane;
    private dk;
    private dj;
    ej(): void;
    private cq;
    private cp;
    o: OverviewPlusDetailViewportHost;
    b8(a: number, b: number, c: RenderSurface): void;
    d2(): void;
    ca(): void;
    d4(): void;
    ch(): void;
    b9(): void;
    cb(): void;
    dv(a: Series): void;
    c9(): void;
    private eo;
    aq(a: Series): boolean;
    protected g: SeriesCollection;
    protected b: AxisCollection;
    private ai;
    au: boolean;
    bp(a: Series): void;
    dq(a: RenderingContext): void;
    bx(): void;
    bt(): void;
    cc(): void;
    b7(): void;
    dn(): void;
    protected fd: Rectangle;
    protected fc: Path;
    d5(): void;
    ed(a: Rect): void;
    bw(): void;
    dc(): void;
    el(a: number, b: number, c: number, d: number): void;
    protected fb: Line;
    protected fa: Line;
    ea(): void;
    ci(): void;
    ee(a: number, b: number, c: number, d: number): void;
    d6(): void;
    cd(): void;
    cg(): void;
    private e3;
    private e4;
    ek(a: Rect, b: Rect): void;
    d9(): void;
    em(a: Rect): void;
    dt(a: Axis): void;
    du(a: Axis): void;
    bo(a: Axis): void;
    bl(a: Axis): void;
    private h;
    i(): SeriesViewerComponentsFromView;
    static aw(a: Series): List$1<Series>;
    dz(): void;
    j: SeriesViewerViewManager;
    protected w: RenderingContext;
    z: RenderingContext;
    y: RenderingContext;
    x: RenderingContext;
    an: boolean;
    ao: boolean;
    protected bi: any;
    cx(a: any): void;
    private al;
    protected cv(a: Point, b: boolean): void;
    protected cw(a: Point, b: boolean): void;
    protected c0(a: Point): void;
    protected cu(a: Point, b: boolean, c: boolean): void;
    dr(a: RenderingContext): void;
    protected get_ap(): boolean;
    readonly ap: boolean;
    k: EventProxy;
    ec(): void;
    a9: number;
    f(a: Point, b: boolean, c: DataContext, d: boolean): {
        ret: Series;
        p2: DataContext;
    };
    bd(): number;
    bc(): number;
    a8: number;
    a7: number;
    private e6;
    private aj;
    cr(): void;
    cy(a: number, b: number): void;
    d0(): void;
    private a1;
    private az;
    private a0;
    private ay;
    private ak;
    private aa;
    private b2;
    private eh;
    v(): FontInfo;
    u(): FontInfo;
    private e2;
    private e1;
    private bf;
    private a2;
    private be;
    fh(): Thickness;
    fg(): Thickness;
    protected ds(a: Rect): void;
    cn(): void;
    private e7;
    protected dx(): void;
    isValid(): boolean;
    preRender(): void;
    protected dp(): void;
    protected ab: boolean;
    protected dy(): void;
    cz(): void;
    ct(): void;
    e8(): Rect;
    e5(): Point;
    private d3;
    eb(): void;
    dl(): void;
    protected as(a: Point): boolean;
    c5(a: Point, b: boolean, c: boolean): void;
    protected c4(a: Point): void;
    protected c3(a: Point): void;
    protected c6(a: Point): void;
    d1(): void;
    readonly ew: ModifierKeys;
    en(a: Rect): void;
    co(a: boolean): void;
    bk(a: boolean): void;
    protected ei(): void;
    private af;
    isDirty: boolean;
    undirty(a: boolean): void;
    readonly index: number;
    postRender(): void;
    b6(): void;
    protected ae: boolean;
    ce(): void;
    d7(): void;
    bv(a: boolean): void;
    bm(a: any): void;
    ef(a: number): void;
    eg(a: number): void;
    bn(a: any): void;
    dw(a: any): void;
    c7(a: Brush): void;
    bu(a: Point): void;
    av: boolean;
    m(a: boolean): InteractionState;
    c2(): void;
    private eq;
    private ep;
    bb(a: TextBlock, b: FontInfo): number;
    ba(a: string, b: FontInfo): number;
    dg(): void;
    private er;
    df(): void;
    db(): void;
    c(a: Axis): AxisTitlePosition;
    d(a: Axis): AxisTitlePosition;
    dh(): void;
    di(): void;
    t(): FontInfo;
    e0(): Brush;
    q(): FontInfo;
    ex(): Brush;
    s(): FontInfo;
    r(): FontInfo;
    ez(): Brush;
    ey(): Brush;
    readonly a4: number;
    readonly a5: number;
    readonly a6: number;
    readonly a3: number;
    readonly et: TextBlock;
    readonly es: TextBlock;
    e9(): Rect;
    ff(): Thickness;
    fe(): Thickness;
    private ad;
    private ac;
    da(a: any, b: any): void;
    de(a: any, b: any): void;
    ev(): HorizontalAlignment;
    eu(): HorizontalAlignment;
    private ag;
    bq(): void;
    am(): boolean;
    b5(): void;
    cm(): void;
    at(a: Point): boolean;
    dm(): void;
    private ax;
    b3(a: Dictionary$2<any, ITileZoomTile>, b: List$1<ITileZoomTile>, c: number): void;
    bh(a: Rect, b: ITileZoomTile, c: number): any;
    b0(): void;
    b1(a: ITileZoomTile): void;
    cj(): void;
    ar: boolean;
    private bg;
    by(): void;
    br(): void;
    bz(a: number): void;
    bs(): void;
    private ah;
    cf(): void;
    d8(): void;
    dd(): void;
    cs(): void;
    c8(): void;
    b4(a: any): void;
    bj(a: number, b: number): any;
}
/**
 * @hidden
 */
export declare class OverviewPlusDetailViewportHost extends Base implements IProvidesViewport {
    static $t: Type;
    constructor(a: SeriesViewerView);
    a: SeriesViewerView;
    getViewInfo(a: Rect, b: Rect): {
        p0: Rect;
        p1: Rect;
    };
    getEffectiveViewport(): Rect;
}
/**
 * @hidden
 */
export declare class SeriesViewerViewManager extends Base {
    static $t: Type;
    ae: DomRenderer;
    protected af: DomWrapper;
    protected aj: DomWrapper;
    protected ai: DomWrapper;
    protected ag: DomWrapper;
    ak: DomWrapper;
    t: RenderingContext;
    w: RenderingContext;
    v: RenderingContext;
    u: RenderingContext;
    x: RenderingContext;
    f: EventProxy;
    private j;
    constructor(a: SeriesViewerView);
    protected ah: DomWrapper;
    bi(): void;
    bf(a: any): void;
    static bx(a: DomRenderer, b: () => void): void;
    private bh;
    a9(): void;
    g(): IOverviewPlusDetailPane;
    bl(): void;
    bm(): void;
    b2(): Brush;
    private ab;
    private aa;
    private ac;
    ay(a: number, b: number, c: number): void;
    b7(): Point;
    y(): boolean;
    bb(a: boolean): void;
    a7(a: BrushCollection, b: BrushCollection, c: Brush, d: FontInfo, e: Brush): {
        p0: BrushCollection;
        p1: BrushCollection;
        p2: Brush;
        p3: FontInfo;
        p4: Brush;
    };
    e(): DefaultPaletteInfo;
    a6(a: number, b: number[], c: Brush, d: Brush, e: number, f: boolean): {
        p0: number;
        p1: number[];
        p2: Brush;
        p3: Brush;
        p4: number;
        p5: boolean;
    };
    ax(): void;
    bt(x_: number): void;
    private ad;
    bu(y_: number): void;
    at(a: any): void;
    a8(): void;
    bn(): void;
    au(a: any): void;
    bj(a: any): void;
    bc(): void;
    private l;
    p(): FontInfo;
    private b9;
    cd(): Thickness;
    private aq;
    as(): string;
    private ap;
    ar(): string;
    private b8;
    cc(): Thickness;
    private bz;
    b4(): Brush;
    private by;
    b3(): Brush;
    private k;
    o(): FontInfo;
    private a;
    c(): AxisTitlePosition;
    private b;
    d(): AxisTitlePosition;
    private n;
    r(): FontInfo;
    private b1;
    b6(): Brush;
    private m;
    q(): FontInfo;
    private b0;
    b5(): Brush;
    private ca;
    ce(): Thickness;
    private cb;
    cf(): Thickness;
    bo(): void;
    private bw;
    private bq;
    private bp;
    private br;
    private bs;
    a5(a: number, b: number): void;
    private h;
    i(): PointerTooltipStyle;
    ba(a: boolean): void;
    private z;
    an(a: Rect, b: ITileZoomTile, c: number): any;
    a2(a: ITileZoomTile): void;
    a1(): void;
    bk(a: List$1<ITileZoomTile>): void;
    private al;
    az(): void;
    av(): void;
    private am;
    a0(a: number): void;
    aw(): void;
    private s;
    bd(): void;
    bv(a: boolean): void;
    a3(): void;
    a4(): void;
    bg(): void;
    be(): void;
    ao(a: number, b: number): any;
}
/**
 * @hidden
 */
export declare class AutoRangeCalculator extends Base {
    static $t: Type;
    static a(a: NumericAxisBase, b: number, c: number, d: boolean, e: number, f: number, g: number): {
        p5: number;
        p6: number;
    };
}
/**
 * @hidden
 */
export interface IAxisAnnotationManager {
    owner: Axis;
    onAutoAnnotionsChanged(a: Axis, b: AxisAnnotationCollection, c: NotifyCollectionChangedEventArgs): void;
    onAutoAnnotionsReset(a: Axis, b: AxisAnnotationCollection, c: EventArgs): void;
    onAnnotionsChanged(a: Axis, b: AxisAnnotationCollection, c: NotifyCollectionChangedEventArgs): void;
    onAnnotionsReset(a: Axis, b: AxisAnnotationCollection, c: EventArgs): void;
    onAddAnnotations(a: Axis): void;
    arrangeAnnotations(a: Axis, b: AxisLabelPanelBaseView, c: List$1<FrameworkElement>, d: List$1<Rect>, e: boolean, f: number, g: number, h: number, i: number, j: number): void;
}
/**
 * @hidden
 */
export declare let IAxisAnnotationManager_$type: Type;
/**
 * @hidden
 */
export declare class AxisLabelSettings extends Base implements INotifyPropertyChanged {
    static $t: Type;
    constructor();
    private aa;
    textStyle: string;
    private ax;
    textColor: Brush;
    location: AxisLabelsLocation;
    private b;
    visibility: Visibility;
    private a2;
    showFirstLabel: boolean;
    private h;
    c: AxisLabelsLocation;
    a: Axis;
    registerAxis(a: Axis): void;
    unregisterAxis(a: Axis): void;
    angle: number;
    private m;
    extent: number;
    private o;
    margin: number;
    leftMargin: number;
    private p;
    rightMargin: number;
    private q;
    topMargin: number;
    private r;
    bottomMargin: number;
    private n;
    private au;
    horizontalAlignment: HorizontalAlignment;
    private az;
    verticalAlignment: VerticalAlignment;
    propertyChanged: (sender: any, e: PropertyChangedEventArgs) => void;
    propertyUpdated: (sender: any, e: PropertyUpdatedEventArgs) => void;
    ar(a: string, b: any, c: any): void;
    protected aq(a: any, b: string, c: any, d: any): void;
    j(): boolean;
    k(): boolean;
    static readonly extentPropertyDefault: number;
    readonly i: boolean;
    private f;
    g(a: DomRenderer): FontInfo;
}
/**
 * @hidden
 */
export declare class TitleSettings extends AxisLabelSettings {
    static $t: Type;
    constructor();
    private a4;
    position: AxisTitlePosition;
    protected aq(a: any, b: string, c: any, d: any): void;
}
/**
 * @hidden
 */
export declare abstract class Axis extends Control implements INotifyPropertyChanged {
    static $t: Type;
    a3(): AxisView;
    a4: AxisView;
    gy(a: AxisView): void;
    gl(): void;
    private bs;
    readonly bt: SRProvider;
    private a8;
    readonly a9: IAxisVisualDataManager;
    dy(): number;
    fc(): any;
    fb(): any;
    protected get_b4(): boolean;
    readonly b4: boolean;
    protected get_cc(): boolean;
    readonly cc: boolean;
    protected get_b2(): boolean;
    readonly b2: boolean;
    protected get_ce(): boolean;
    readonly ce: boolean;
    protected get_ch(): boolean;
    readonly ch: boolean;
    protected get_cf(): boolean;
    readonly cf: boolean;
    protected get_b7(): boolean;
    readonly b7: boolean;
    protected get_cd(): boolean;
    readonly cd: boolean;
    protected get_b5(): boolean;
    readonly b5: boolean;
    protected get_b6(): boolean;
    readonly b6: boolean;
    aj(): Axis;
    constructor();
    private a6;
    readonly a7: IAxisAnnotationManager;
    readonly b3: boolean;
    private gj;
    private gk;
    private gh;
    private gi;
    provideRenderer(a: DomRenderer): void;
    at: (item: any) => string;
    gv(a: Rect, b: Rect): void;
    abstract au(): AxisLabelPanelBase;
    ac(): void;
    hq: Canvas;
    bn: IFastItemsSourceProvider;
    private bm;
    bh: SeriesViewer;
    private bg;
    bf: XamDataChart;
    readonly br: (sender: any, e: RectChangedEventArgs) => void;
    private bw;
    cr: boolean;
    private c5;
    eg: number;
    private c0;
    dg: number;
    private db;
    em: number;
    private c8;
    ej: number;
    private ar;
    as: AxisExtentType;
    private c4;
    ef: number;
    df: number;
    private da;
    el: number;
    private c7;
    ei: number;
    private bj;
    private bi;
    bl: FontInfo;
    private fd;
    f4: string;
    private c6;
    eh: number;
    dh: number;
    private dc;
    en: number;
    private c9;
    ek: number;
    private ey;
    e3: number;
    private ex;
    e2: number;
    private ew;
    e1: number;
    ez: number;
    private jg;
    jj: VerticalAlignment;
    private de;
    ep: number;
    private dd;
    eo: number;
    hi(): void;
    private g9;
    private ha;
    hr: TextBlock;
    gd: string;
    iw: Brush;
    is: Brush;
    eq: number;
    i0: DoubleCollection;
    iv: Brush;
    it: Brush;
    iq: Brush;
    d6: number;
    iy: DoubleCollection;
    iu: Brush;
    ir: Brush;
    d9: number;
    iz: DoubleCollection;
    ix: Brush;
    es: number;
    i1: DoubleCollection;
    er: number;
    di: number;
    private hk;
    b8: boolean;
    ca: boolean;
    cb: boolean;
    cq: boolean;
    static readonly im: DependencyProperty;
    e0: number;
    ay: AxisLabelSettings;
    dn(): number;
    io(): HorizontalAlignment;
    jh(): VerticalAlignment;
    ip(): HorizontalAlignment;
    ji(): VerticalAlignment;
    dq(): number;
    ds(): number;
    dr(): number;
    dp(): number;
    dv(): number;
    dx(): number;
    dw(): number;
    du(): number;
    az(): AxisLabelsLocation;
    a0(): AxisLabelsLocation;
    ai: Axis;
    e5: any;
    rangeChanged: (sender: any, e: AxisRangeChangedEventArgs) => void;
    protected g7(a: AxisRangeChangedEventArgs): void;
    be: TitleSettings;
    dt(): number;
    dm(): number;
    readonly am: AxisAnnotationCollection;
    private ak;
    readonly an: AxisAnnotationCollection;
    private al;
    private i3;
    ja: Rect;
    i9: Rect;
    hl(): void;
    ct(a: Rect, b: Rect, c: AxisView): boolean;
    cg(): boolean;
    cx: List$1<any>;
    cy: List$1<LabelPosition>;
    av: AxisLabelPanelBase;
    protected ho(a: Rect, b: Rect): void;
    private bv;
    ci: boolean;
    protected i7(): Rect;
    protected hp(a: Rect, b: Rect): void;
    g8(): void;
    a5: ContentInfo;
    ev: DomRenderer;
    ah: BindingFormatter;
    protected g0(a: any, b: string, c: any, d: any): void;
    private _coercionMethods;
    coercionMethods: any;
    private bu;
    protected get_expectFunctions(): boolean;
    protected set_expectFunctions(a: boolean): void;
    expectFunctions: boolean;
    cl: boolean;
    private hf;
    cs: boolean;
    protected gx(a: GeometryCollection, b: number, c: number, d: Rect): void;
    protected gw(a: GeometryCollection, b: number, c: Rect, d: PathRenderingInfo, e: boolean): void;
    protected hn(a: GeometryCollection, b: number, c: number, d: Rect): void;
    protected hm(a: GeometryCollection, b: number, c: Rect, d: PathRenderingInfo, e: boolean): void;
    private b9;
    protected hh(a: number, b: number, c: Rect, d: Rect, e: Rect, f: number, g: number): {
        p0: number;
        p1: number;
    };
    dj(a: number, b: number, c: number, d: PathRenderingInfo): number;
    go(a: GeometryCollection): void;
    protected gn(): void;
    hb(): void;
    hc(a: boolean): void;
    renderRequested: (sender: any, e: RenderRequestedEventArgs) => void;
    bb: LabelFontHeuristics;
    static d8: number;
    ed(): number;
    eb(): number;
    ec(): number;
    protected readonly cm: boolean;
    gq(a: boolean): void;
    private c2;
    private by;
    he(): void;
    dk(a: number, b: ScalerParams): number;
    protected hg(): void;
    private c3;
    ba(): LabelFontHeuristics;
    bk(): FontInfo;
    private gr;
    cj: boolean;
    cn(): boolean;
    co(a: boolean): boolean;
    cp(): boolean;
    protected hd(a: boolean): void;
    hj(): void;
    propertyChanged: (sender: any, e: PropertyChangedEventArgs) => void;
    propertyUpdated: (sender: any, e: PropertyUpdatedEventArgs) => void;
    protected g6(a: string, b: any, c: any): void;
    cz: List$1<Series>;
    ck(a: Series): boolean;
    bx(a: Series): boolean;
    fa: any;
    fp: string;
    ag: any[];
    e7(a: any, b: string): any;
    private cv;
    protected f1(a: string): string;
    private cu;
    protected e8(a: any, b: string, c: string): any;
    e9(a: any): any;
    fm(a: number): string;
    ea(): number;
    dz(a: number, b: ScalerParams): number;
    d0(a: number, b: ScalerParams, c: CategoryMode): number;
    i6(a: Rect): Rect;
    i5(): Rect;
    i4(): Rect;
    protected i8(a: Rect, b: Rect): Rect;
    d1(a: number, b: Rect, c: Rect): number;
    gt(a: IList$1<number>, b: number, c: number, d: ScalerParams): void;
    gs(a: IList$1<number[]>, b: IList$1<number>, c: number, d: number, e: ScalerParams): void;
    d2(a: number, b: ScalerParams): number;
    d3(a: number, b: ScalerParams, c: CategoryMode): number;
    d4(a: number, b: Rect, c: Rect): number;
    gu(a: IList$1<number>, b: number, c: number, d: ScalerParams): void;
    ee(a: number): number;
    abstract readonly a1: AxisOrientation;
    jf: Size;
    gz(): void;
    ao: AxisComponentsForView;
    ap(): AxisComponentsForView;
    dl: number;
    private c1;
    d7: number;
    b1(): boolean;
    d5(): number;
    protected gm(): void;
    gp(a: AxisRangeChangedEventArgs): void;
    bq: Pool$1<TextBlock>;
    bp: Pool$1<TextBlock>;
    bo: Pool$1<Rectangle>;
    readonly jb: Path;
    readonly jc: Path;
    readonly je: Path;
    readonly jd: Path;
    bd(): SyncSettings;
    aq(): AxisComponentsFromView;
    private aw;
    readonly ax: AxisLabelSettings;
    g1(a: RenderingContext, b: RenderingContext): void;
    b0(): boolean;
    e6(): any;
    private _cw;
    cw(): IEnumerable$1<Series>;
    g2(a: string): void;
    g5(a: any): void;
    g4(a: any): void;
    eu: CultureInfo;
    i2(a: number, b: Rect, c: Rect, d?: any, e?: any): Geometry;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class AxisCollection extends ObservableCollection$1<Axis> {
    static $t: Type;
    constructor();
    collectionResetting: (sender: any, e: EventArgs) => void;
    protected p(): void;
}
/**
 * @hidden
 */
export declare class AxisLabelManager extends Base {
    static $t: Type;
    e: List$1<any>;
    f: List$1<LabelPosition>;
    b: AxisLabelPanelBase;
    a: Axis;
    c: (arg1: number) => void;
    constructor();
    m(a: Rect, b: Rect): void;
    i(a: any, b: LabelPosition): void;
    s(): void;
    static j(a: FrameworkElement): void;
    private static k;
    static l(a: FrameworkElement): void;
    h(a: FrameworkElement): void;
    q(a: number): void;
    n(a: number): void;
    t(a: number): FrameworkElement;
    r(a: number): void;
    readonly d: boolean;
    p(): void;
    o(): void;
    g(): void;
}
/**
 * @hidden
 */
export declare abstract class AxisLabelPanelBase extends Panel {
    static $t: Type;
    ad(): AxisLabelPanelBaseView;
    b9(a: AxisLabelPanelBaseView): void;
    ae: AxisLabelPanelBaseView;
    cm: Rect;
    b0(): void;
    cf(): void;
    ce(): void;
    constructor();
    bo: number;
    ac: Axis;
    private aj;
    au: boolean;
    private ay;
    a2: List$1<any>;
    a3: List$1<LabelPosition>;
    cp: Rect;
    private cl;
    cq: Rect;
    private ck;
    co: Rect;
    private a5;
    a9: number;
    bp: () => boolean;
    a4: List$1<FrameworkElement>;
    a1: List$1<Rect>;
    af: AxisLabelSettings;
    an: boolean;
    aq: boolean;
    ar: boolean;
    as: boolean;
    br: any;
    ak: boolean;
    protected am(a: List$1<Rect>, b: List$1<boolean>): boolean;
    protected bq(a: number, b: List$1<Rect>, c: List$1<boolean>): {
        ret: number;
        p1?: List$1<Rect>;
    };
    az(): List$1<Rect>;
    by(): void;
    bu(a: Size): void;
    be(): number;
    bi(): number;
    ap(a: number, b: Rect): boolean;
    bd(a: any): number;
    bn(a: any): number;
    bf(a: any): number;
    bc(a: any): number;
    ao(): boolean;
    protected ci(a: Rect, b: Rect): void;
    protected b5(a: Rect, b: Rect): void;
    a0(): List$1<Rect>;
    bh(a: number, b: Size): number;
    bg(a: number, b: Size): number;
    bl(): number;
    bj(): number;
    bk(): number;
    bm(): number;
    cr(a: Size): Size;
    protected readonly al: boolean;
    cn(): Rect;
    protected bx(a: Size): void;
    protected bw(a: Size): void;
    protected b1(): void;
    protected ax(): IEnumerable$1<number>;
    readonly ag: AxisLabelsLocation;
    ch(a: GeometryCollection, b: number, c: number, d: number, e: Rect, f: PathRenderingInfo): void;
    b4(a: GeometryCollection, b: number, c: number, d: number, e: Rect, f: PathRenderingInfo): void;
    cc(a: FrameworkElement, b: number): void;
    cd(a: FrameworkElement): void;
    b3(a: FrameworkElement, b: number): void;
    cs(a: Size): Size;
    static readonly cj: DependencyProperty;
    ba: number;
    a6: number;
    ai(a: TitleSettings): AxisTitlePosition;
    ah(): AxisLabelsLocation;
    at(a: AxisLabelsLocation): boolean;
    private _av;
    av(): IEnumerable$1<any>;
    bt(a: number, b: TextBlock, c: number, d: number, e: number): string;
    bz(a: any): void;
    b8(a: FrameworkElement): void;
    private _aw;
    aw(): IEnumerable$1<any>;
    protected a7: number;
    protected a8: number;
    b2(): void;
    cg(): void;
    b6(): void;
    bb(a: Rect): number;
    b7(): void;
    ca(a: RenderingContext): void;
    bv(): void;
    cb(): void;
}
/**
 * @hidden
 */
export declare abstract class CategoryAxisBase extends Axis implements ICategoryScaler {
    static $t: Type;
    a3(): AxisView;
    protected get_b6(): boolean;
    gy(a: AxisView): void;
    jk: CategoryAxisBaseView;
    constructor();
    ct(a: Rect, b: Rect, c: AxisView): boolean;
    ks(): void;
    kr(): void;
    jv: List$1<number>;
    protected get_b4(): boolean;
    k3(a: Point, b: boolean, c: number): Rect;
    k4(a: Point, b: boolean, c: number, d: boolean): Rect;
    jo: IFastItemsSource;
    private jn;
    itemsSource: IEnumerable;
    static readonly k0: DependencyProperty;
    private j6;
    j8: number;
    j9: number;
    categoryMode: CategoryMode;
    private jl;
    jx: number;
    j4: number;
    js: boolean;
    ka: number;
    private j7;
    d2(a: number, b: ScalerParams): number;
    getUnscaledValue3(a: number, b: Rect, c: Rect, d: CategoryMode): number;
    getCategorySize(a: Rect, b: Rect, c: Rect): number;
    j0(a: Rect, b: Rect, c: Rect): number;
    getGroupCenter(a: number, b: Rect, c: Rect, d: Rect): number;
    j5(a: number): number;
    private _ju;
    private ju;
    private jq;
    jr(a: SeriesViewer): boolean;
    private _jt;
    private jt;
    private jp;
    kw(a: boolean): void;
    protected g0(a: any, b: string, c: any, d: any): void;
    protected kk(): void;
    km(a: any, b: FastItemsSourceEventArgs): void;
    protected kt(a: FastItemsSourceEventArgs): void;
    private kx;
    ck(a: Series): boolean;
    bx(a: Series): boolean;
    private ku;
    kj(): void;
    kv(): void;
    kl(a: NotifyCollectionChangedEventArgs): void;
    kq(a: number, b: any, c: any): void;
    kn(): void;
    ko(a: number, b: any): void;
    kp(a: number, b: any): void;
    j1(a: Rect, b: Rect, c: Rect, d: number): number;
    j2(a: Rect, b: Rect, c: Rect, d: number, e: number): number;
    getSeriesOffset(a: Rect, b: Rect, c: Rect, d: number, e: number): number;
    readonly isVertical: boolean;
    j$c(a: number, b: ScalerParams): number;
    j$b(a: number, b: ScalerParams): number;
    j$d(a: IList$1<number[]>, b: IList$1<number>, c: number, d: number, e: ScalerParams): void;
    j$e(a: IList$1<number>, b: number, c: number, d: ScalerParams): void;
    j$f(a: IList$1<number>, b: number, c: number, d: ScalerParams): void;
    readonly j$a: boolean;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare abstract class HorizontalAxisLabelPanelBase extends AxisLabelPanelBase {
    static $t: Type;
    ad(): AxisLabelPanelBaseView;
    b9(a: AxisLabelPanelBaseView): void;
    ct: HorizontalAxisLabelPanelBaseView;
    c5: number;
    c2: number;
    c4: number;
    c3: number;
    by(): void;
    cv(): boolean;
    cw(): boolean;
    ao(): boolean;
    az(): List$1<Rect>;
    c7(a: List$1<Rect>, b: List$1<boolean>, c: number): void;
    private c6;
    private c8;
    protected c9(a: List$1<Rect>, b: List$1<boolean>): void;
    protected da(): void;
    cc(a: FrameworkElement, b: number): void;
    protected cx(): boolean;
    protected cu(): boolean;
    protected bq(a: number, b: List$1<Rect>, c: List$1<boolean>): {
        ret: number;
        p1?: List$1<Rect>;
    };
    cn(): Rect;
    c1(): number;
    cy(): number;
    c0(): number;
    cz(): number;
    protected b1(): void;
}
/**
 * @hidden
 */
export declare class HorizontalAxisLabelPanel extends HorizontalAxisLabelPanelBase {
    static $t: Type;
    ah(): AxisLabelsLocation;
    at(a: AxisLabelsLocation): boolean;
}
/**
 * @hidden
 */
export declare abstract class NumericAxisBase extends Axis {
    static $t: Type;
    a3(): AxisView;
    gy(a: AxisView): void;
    dk(a: number, b: ScalerParams): number;
    jl: NumericAxisBaseView;
    protected get_cc(): boolean;
    constructor();
    kl: number;
    kd: number;
    private j7;
    kj: number;
    fc(): any;
    kg: number;
    private ka;
    kk: number;
    kc: number;
    private j6;
    fb(): any;
    ki: number;
    private j9;
    kf: number;
    kh: number;
    private j5;
    kb: number;
    ea(): number;
    km: number;
    private j8;
    ke: number;
    kn: number;
    j2: boolean;
    private jw;
    jy: boolean;
    readonly j3: boolean;
    kp: number;
    kq: number;
    jo: NumericAxisRenderer;
    protected j4: boolean;
    protected hd(a: boolean): void;
    g5(a: any): void;
    g4(a: any): void;
    protected g0(a: any, b: string, c: any, d: any): void;
    protected la(): void;
    jk(): AxisRange;
    k8(a: NumericAxisBase, b: number, c: number, d: boolean, e: number, f: number, g: number): {
        p5: number;
        p6: number;
    };
    cp(): boolean;
    lb(a: AxisRangeChangedEventArgs): void;
    ck(a: Series): boolean;
    bx(a: Series): boolean;
    jn(a: AxisLabelManager): NumericAxisRenderer;
    jm(): NumericAxisRenderer;
    jq(): NumericAxisRenderingParameters;
    k9(): void;
    jr(): NumericScaler;
    jp(a: Rect, b: Rect, c: Rect, d: Rect): NumericAxisRenderingParameters;
    ko(a: number): number;
    jz(): boolean;
    readonly j1: boolean;
    readonly j0: boolean;
    private lc;
    static readonly lk: DependencyProperty;
    ju: TickmarkValues;
    private js;
    jt: TickmarkValues;
    private jv;
    jx: boolean;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare abstract class NumericScaler extends DependencyObject {
    static $t: Type;
    static readonly ac: Rect;
    abstract t(a: NumericAxisBase, b: number, c: number, d: number, e: number): {
        p3: number;
        p4: number;
    };
    l: number;
    k: number;
    protected o: number;
    protected n: number;
    y(a: number): void;
    x(a: number): void;
    protected w(a: string, b: any, c: any): void;
    private z;
    protected m: number;
    abstract q(a: number, b: ScalerParams): number;
    abstract p(a: number, b: ScalerParams): number;
    j(a: IList$1<number>, b: number, c: number, d: ScalerParams): IList$1<number>;
    v(a: IList$1<number>, b: number, c: number, d: ScalerParams): void;
    u(a: IList$1<number[]>, b: IList$1<number>, c: number, d: number, e: ScalerParams): void;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class AxisRendererBase extends Base {
    static $t: Type;
    constructor(a: AxisLabelManager);
    u: () => void;
    o: (viewportRect: Rect, windowRect: Rect) => boolean;
    v: () => void;
    m: (p: AxisRenderingParametersBase, value: number) => number;
    l: (p: AxisRenderingParametersBase, geometry: GeometryCollection, startValue: number, endValue: number) => void;
    k: (p: AxisRenderingParametersBase, geometry: GeometryCollection, value: number) => void;
    q: (p: AxisRenderingParametersBase, value: number) => boolean;
    n: (p: AxisRenderingParametersBase, value: number) => boolean;
    j: (p: AxisRenderingParametersBase) => void;
    e: (p: AxisRenderingParametersBase) => void;
    p: (p: AxisRenderingParametersBase, position: number, isLastLabel: boolean) => boolean;
    h: (p: AxisRenderingParametersBase, value: number) => LabelPosition;
    t: (p: AxisRenderingParametersBase, value: number) => number;
    b: AxisLabelManager;
    g: (item: any) => any;
    d: (viewportRect: Rect, windowRect: Rect, effectiveViewportRect: Rect, contentViewport: Rect) => AxisRenderingParametersBase;
    r: (p: AxisRenderingParametersBase, value: number, absoluteIndex: number, interval: number) => number;
    a: (p: AxisRenderingParametersBase, value: number, absolueIndex: number, interval: number) => number;
    f: (index: number, window: Rect, viewport: Rect, effectiveViewport: Rect) => number;
    i: (index: number) => number;
    c(a: boolean, b: Rect, c: Rect, d: Rect, e: Rect): AxisRenderingParametersBase;
    private aa;
    private ab;
    protected x(a: Rect, b: Rect): void;
    private z;
    private s;
    private y;
    w(a: AxisRenderingParametersBase, b: number, c: number, d: number): any;
}
/**
 * @hidden
 */
export declare class NumericAxisRenderer extends AxisRendererBase {
    static $t: Type;
    constructor(a: AxisLabelManager);
    w(a: AxisRenderingParametersBase, b: number, c: number, d: number): any;
    private ac;
    private ad;
    private ae;
}
/**
 * @hidden
 */
export declare class VerticalAxisLabelPanel extends AxisLabelPanelBase {
    static $t: Type;
    ad(): AxisLabelPanelBaseView;
    b9(a: AxisLabelPanelBaseView): void;
    ct: VerticalAxisLabelPanelView;
    c2: number;
    cz: number;
    c1: number;
    c0: number;
    by(): void;
    bi(): number;
    cv(): number;
    cx(): number;
    cy(): number;
    cw(): number;
    az(): List$1<Rect>;
    private c3;
    private c4;
    cc(a: FrameworkElement, b: number): void;
    protected cu(): boolean;
    cn(): Rect;
    ai(a: TitleSettings): AxisTitlePosition;
    ah(): AxisLabelsLocation;
    at(a: AxisLabelsLocation): boolean;
    protected b1(): void;
}
/**
 * @hidden
 */
export interface IHasCategoryAxis {
    readonly categoryAxis: CategoryAxisBase;
    getOffsetValue(): number;
    getCategoryWidth(): number;
}
/**
 * @hidden
 */
export declare let IHasCategoryAxis_$type: Type;
/**
 * @hidden
 */
export interface IHasCategoryModePreference extends IHasCategoryAxis {
    preferredCategoryMode(a: CategoryAxisBase): CategoryMode;
}
/**
 * @hidden
 */
export declare let IHasCategoryModePreference_$type: Type;
/**
 * @hidden
 */
export interface IHighlightingManager {
    startHighlight(a: HighlightingInfo): void;
    endHighlight(a: HighlightingInfo): void;
    clear(): void;
    getHighlightingInfo(a: Series, b: IFastItemsSource, c: number, d: number, e: boolean): HighlightingInfo;
    tick(a: number): boolean;
    inProgress: boolean;
    maxHighlightingProgress: number;
    totalHighlightingProgress: number;
    sumHighlightingProgress: number;
    maxMarkerHighlightingProgress: number;
    sumMarkerHighlightingProgress: number;
    readonly dirtySeries: List$1<Series>;
    readonly allDirty: boolean;
    isCrossSeriesHighlight(a: Series): boolean;
    executionContext: IExecutionContext;
    ensureAnimator: () => void;
    highlightingBehavior: SeriesHighlightingBehavior;
}
/**
 * @hidden
 */
export declare let IHighlightingManager_$type: Type;
/**
 * @hidden
 */
export declare class HighlightingInfo extends Base {
    static $t: Type;
    constructor();
    i: number;
    h: number;
    g: number;
    a: HighlightingState;
    f: number;
    e: boolean;
    d: boolean;
    c: boolean;
    b: Series;
}
/**
 * @hidden
 */
export interface ISeriesInteractionManager {
    a$j(a: Series, b: Point, c: number, d: Axis, e: ScalerParams, f: number, g: number, h: (arg1: Point) => number): number;
    a$m(a: Series, b: IList$1<number>, c: Point, d: Axis, e: ScalerParams, f: number, g: (arg1: Point) => number, h: boolean, i: boolean): number;
    a$l(a: Series, b: number, c: IList$1<number>, d: number, e: number, f: number, g: number, h: number, i: boolean): number;
    a$o(a: Series, b: Point, c: boolean, d: Axis, e: (arg1: Point) => number, f: IList$1<number>): number;
    a$d(a: Series, b: Point, c: boolean): boolean;
    a$a(a: Series, b: CategoryAxisBase, c: List$1<number[]>, d: number, e: number, f: Point, g: boolean): number[][];
    a$e(a: Series, b: Point, c: boolean, d: PathGeometry): boolean;
    a$f(a: Series, b: Point, c: PathGeometry): boolean;
    a$n(a: Series, b: Point, c: boolean, d: Axis, e: (arg1: Point) => number, f: IList$1<number>): number;
    a$k(a: Series, b: Point, c: Axis): number;
    a$g(a: Series, b: Point, c: boolean): boolean;
    a$al(a: Series, b: Point, c: boolean, d: boolean, e: number, f: Axis, g: Axis, h: (arg1: Point, arg2: boolean, arg3: boolean) => number, i: (arg1: Point, arg2: boolean) => number, j: (arg1: Point, arg2: boolean) => number): Point;
    a$v(a: Series, b: any, c: Point, d: boolean, e: boolean, f: boolean, g: boolean, h: boolean, i: boolean): void;
    a$s(): void;
    a$ak(a: Series, b: HighlightingInfo, c: Brush): Brush;
    a$i(a: Series, b: HighlightingInfo, c: number, d: number, e: number, f: number, g: boolean): number;
    a$y(a: Series, b: Point, c: any, d: any, e: boolean): void;
    a$ai(a: Series, b: Point): void;
    a$ab(a: Series, b: Point, c: any, d: any, e: boolean): void;
    a$z(a: Series, b: Point, c: any, d: any, e: boolean): void;
    a$w(a: Series, b: Point, c: any, d: any): void;
    a$aa(a: Series, b: Point, c: any, d: any): void;
    a$x(a: Series, b: Point, c: any, d: any): void;
    a$ac(a: Series, b: Point, c: any, d: any): void;
    a$ad(a: Series, b: Point, c: any, d: any): void;
    a$q(a: Series): string;
    a$r(a: Series): string;
    readonly a$b: boolean;
    readonly a$p: any;
    a$aj(a: Series, b: any): void;
    a$ah(a: Series, b: Point, c: (arg1: any) => void): void;
    a$u(a: Series): void;
    a$ag(a: Series): void;
    readonly a$c: boolean;
    readonly a$h: Dictionary$2<string, SeriesView>;
    a$t(a: Series, b: Rect, c: Rect, d: string, e: number): void;
    a$ae(a: Series, b: SeriesViewer): void;
    a$af(a: Series, b: string, c: SeriesViewer): void;
}
/**
 * @hidden
 */
export declare let ISeriesInteractionManager_$type: Type;
/**
 * @hidden
 */
export interface ISeriesViewerInteractionManager {
    f$a(a: SeriesViewer): ChartHitTestMode;
    f$ae(a: SeriesViewer): void;
    f$p(a: SeriesViewer, b: Point): void;
    f$ac(a: SeriesViewer, b: Point): void;
    f$q(a: SeriesViewer, b: Point, c: boolean): void;
    f$o(a: SeriesViewer, b: Point): void;
    f$aj(a: SeriesViewer): void;
    f$ab(a: SeriesViewer, b: Point): void;
    f$ak(a: SeriesViewer, b: Point, c: number, d: number, e: number): void;
    f$aa(a: SeriesViewer, b: number): void;
    f$ag(a: SeriesViewer, b: Point, c: number, d: number, e: number): void;
    f$x(a: SeriesViewer, b: Point): void;
    f$z(a: SeriesViewer, b: number): void;
    f$r(a: SeriesViewer, b: Point): void;
    f$af(a: SeriesViewer, b: Point, c: number, d: number, e: number): void;
    f$m(a: SeriesViewer, b: Point, c: boolean): void;
    f$ai(a: SeriesViewer): void;
    f$ah(a: SeriesViewer): void;
    f$an(a: SeriesViewer): void;
    f$j(a: SeriesViewer): void;
    f$g(a: SeriesViewer): void;
    f$l(a: SeriesViewer, b: Point, c: boolean): void;
    f$k(a: SeriesViewer, b: Point, c: boolean, d: boolean): void;
    f$al(a: SeriesViewer): void;
    f$ad(a: SeriesViewer): void;
    f$d(a: SeriesViewer, b: Key): boolean;
    f$e(a: SeriesViewer, b: Point, c: number): boolean;
    f$n(a: SeriesViewer, b: Point): void;
    f$i(a: SeriesViewer): void;
    f$h(a: SeriesViewer): void;
    readonly f$b: IHighlightingManager;
    f$am(a: SeriesViewer, b: Point): void;
    f$c(a: SeriesViewer, b: SeriesCollection, c: RenderingContext, d: Point, e: boolean, f: DataContext, g: boolean): {
        ret: Series;
        p5: DataContext;
    };
    f$f(a: SeriesViewer, b: Point): boolean;
    f$v(a: SeriesViewer, b: SeriesCollection, c: RenderingContext, d: Point, e: boolean, f: boolean): void;
    f$u(a: SeriesViewer, b: Point): void;
    f$t(a: SeriesViewer, b: EventProxy, c: Point): void;
    f$w(a: SeriesViewer, b: EventProxy, c: Point): void;
    f$s(a: SeriesViewer, b: Point, c: boolean): void;
    f$y(a: SeriesViewer, b: boolean): void;
}
/**
 * @hidden
 */
export declare let ISeriesViewerInteractionManager_$type: Type;
/**
 * @hidden
 */
export interface IDataChartVisualDataManager {
    exportVisualData(a: XamDataChart): any;
}
/**
 * @hidden
 */
export declare let IDataChartVisualDataManager_$type: Type;
/**
 * @hidden
 */
export interface IAxisVisualDataManager {
    exportVisualData(a: Axis): any;
}
/**
 * @hidden
 */
export declare let IAxisVisualDataManager_$type: Type;
/**
 * @hidden
 */
export interface ISeriesVisualDataManager {
    exportVisualData(a: Series, b: Rect): any;
    exportMarkerVisualData(a: MarkerSeries, b: any): void;
    getMarkerVisualData(a: Series, b: Marker, c: DataTemplate): any;
    copyVisualData(a: any, b: any): void;
    exportTrendlineData(a: Series, b: any, c: Polyline): void;
    exportStackedVisualData(a: Series, b: Rect): any;
    createFragmentVisualData(a: Series, b: Rect, c: string, d: string): any;
    addSubSeriesVisualData(a: any, b: any): void;
    exportRectangleData(a: any, b: Rectangle, c: string, d: string[]): void;
    exportMarkerVisualDataFromMarker(a: Series, b: any, c: ContentControl): void;
    exportPathData(a: any, b: Path, c: string, d: string[]): void;
    exportPolylineData(a: any, b: Polyline, c: string, d: string[]): void;
    exportPolygonData(a: any, b: Polygon, c: string, d: string[]): void;
    exportSeriesPixelsData(a: any, b: number[], c: number, d: number): void;
    addPointerTooltipData(a: any, b: any, c: number, d: number, e: List$1<string>): void;
    exportPointerTooltipData(a: Polygon, b: Polyline, c: Rectangle, d: Rect): any;
    exportCalloutData(a: number, b: number, c: number, d: number, e: any, f: Rectangle, g: TextBlock, h: FontInfo, i: Line, j: string, k: string[]): void;
}
/**
 * @hidden
 */
export declare let ISeriesVisualDataManager_$type: Type;
/**
 * @hidden
 */
export declare class XamDataChart extends SeriesViewer {
    static $t: Type;
    static qp: number;
    static qo: number;
    private _xsr;
    private readonly XSRP;
    private pn;
    readonly po: IDataChartVisualDataManager;
    static staticInit(): void;
    static qw(a: Series): number;
    constructor();
    protected k1(a: any, b: string, c: any, d: any): void;
    protected jp(): void;
    rw(): void;
    private rt;
    private sn;
    private so;
    p0: boolean;
    fe(): number;
    ff(): number;
    protected lz(): void;
    qu: number;
    qv: number;
    private qa;
    qk: number;
    private qb;
    ql: number;
    dx(): boolean;
    dy(): boolean;
    px: boolean;
    p4: boolean;
    py: boolean;
    p1: boolean;
    pm: GridMode;
    pu: boolean;
    p3: boolean;
    pe: BrushCollection;
    qn: number;
    qm: number;
    p2: boolean;
    pz: boolean;
    rv(a: AxisLabelPanelBase, b: Rect, c: Rect, d: Rect): void;
    pf: BrushCollection;
    ph: BrushCollection;
    pg: BrushCollection;
    sl: Brush;
    sj: Brush;
    sk: Brush;
    readonly axes: AxisCollection;
    private pi;
    private rq;
    private rr;
    axisRangeChanged: (sender: any, e: ChartAxisRangeChangedEventArgs) => void;
    private rs;
    private static ru;
    l9(a: SyncLink, b: SyncLink): void;
    private pq;
    getFontInfo(): FontInfo;
    rx(): void;
    getFontBrush(): Brush;
    protected ix(): void;
    n5(): Brush;
    d9(): boolean;
    protected l3(): void;
    n6(a: number): Brush;
    private sm;
    oa(a: number): Brush;
    ob(a: number): Brush;
    oc(a: number): Brush;
    db(): boolean;
    private pw;
    protected b7(): SeriesViewerView;
    protected kp(a: SeriesViewerView): void;
    pp: XamDataChartView;
    lh(): void;
    private pt;
    static qz: string;
    private p7;
    qh: number;
    static q1: string;
    private p9;
    qj: number;
    static q0: string;
    private p8;
    qi: number;
    static qy: string;
    private p6;
    qg: number;
    pk: ComputedPlotAreaMarginMode;
    private qd;
    qr: number;
    private qf;
    qt: number;
    private qe;
    qs: number;
    private qc;
    qq: number;
    protected ou(a: Rect): Rect;
    o0(): Rect;
    qx(): any;
    rc(): string;
    ky(): void;
    lj(): void;
    p5(a: Axis): List$1<Axis>;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class LabelPanelArranger extends Base {
    static $t: Type;
    static e(a: List$1<AxisLabelPanelBase>, b: Rect): Rect;
    private static a;
    static b(a: AxisLabelPanelBase): AxisLabelsLocation;
    private static c;
    static d(a: List$1<AxisLabelPanelBase>, b: LabelPanelsArrangeState, c: Rect, d: (arg1: AxisLabelPanelBase, arg2: Rect) => void): void;
}
/**
 * @hidden
 */
export declare class ChartContentManager extends DependencyObject {
    static $t: Type;
    private l;
    private q;
    private s;
    private t;
    constructor(a: SeriesViewer);
    k(a: ChartContentType, b: DependencyObject, c: (arg1: boolean) => void): ContentInfo;
    ac(a: ChartContentType, b: DependencyObject): void;
    private m;
    private u;
    z(a: DomRenderer): void;
    y(): void;
    ab(a: ChartContentType, b: DependencyObject, c: ContentInfo, d: boolean): void;
    private p;
    private j;
    x(): void;
    private v;
    private _r;
    private r;
    w(a: Size): void;
    n: boolean;
    o: boolean;
    ad(a: ChartContentType, b: DependencyObject, c: ContentInfo, d: Rect): void;
    aa(a: Axis, b: ContentInfo): void;
}
/**
 * @hidden
 */
export declare class ContentInfo extends Base {
    static $t: Type;
    h: DependencyObject;
    a: (arg1: boolean) => void;
    b: boolean;
    c: boolean;
    i: Rect;
    readonly d: boolean;
    g(): void;
    f(): void;
    e: boolean;
}
/**
 * @hidden
 */
export declare abstract class Series extends Control implements INotifyPropertyChanged, IProvidesViewport, ILegendSeries, ILegendSeriesInternal, ILegendOwner, ILegendTemplateProvider {
    static $t: Type;
    bs: SeriesView;
    private static f6;
    gl: number;
    nx: Rect;
    private f4;
    f5: DomRenderer;
    provideRenderer(a: DomRenderer): void;
    id(): string;
    constructor();
    lj(a: MarkerOutlineMode): void;
    li(a: MarkerFillMode): void;
    private static readonly m3;
    protected jd(a: any, b: PropertyChangedEventArgs): void;
    private cf;
    readonly cg: SRProvider;
    private a4;
    readonly a5: ISeriesVisualDataManager;
    protected readonly ef: Dictionary$2<string, SeriesView>;
    private a2;
    readonly a3: ISeriesInteractionManager;
    readonly dc: boolean;
    b7: DoubleAnimator;
    kk(a: SeriesView): void;
    ki(): void;
    kj(): void;
    bq(): SeriesView;
    protected bp(): SeriesView;
    ls: Canvas;
    d9(): boolean;
    gt(a: any, b: string): any;
    onLegendItemOver(a: any): void;
    onLegendItemPointerUp(a: any): void;
    onLegendItemPointerDown(a: any): void;
    onLegendItemEnter(a: any): void;
    onLegendItemLeave(a: any): void;
    private ee;
    protected ic(a: string): string;
    private ed;
    protected gu(a: any, b: string, c: string): any;
    e4(a: Point): number;
    gb(a: Point): number;
    protected get_dg(): boolean;
    readonly dg: boolean;
    aq(): CategoryAxisBase;
    f9(a: Point): number;
    n7(): Thickness;
    gq(a: Point): any;
    protected gv(a: Series, b: Point): any;
    protected aw(a: Series, b: any, c: Point, d: boolean): HighlightingInfo;
    protected ax(a: Series, b: any, c: Point, d: boolean): HighlightingInfo;
    f8(): number;
    gc(): number;
    gh(): number;
    readonly container: ILegendOwner;
    readonly hasSubItems: boolean;
    protected cv(): boolean;
    forSubItems(a: (arg1: any) => void): void;
    protected jx(a: (arg1: any) => void): void;
    jy(a: (arg1: Series) => boolean): void;
    ib(): string;
    nh(): Brush;
    resolveLegendIndex(): number;
    a9(): Series;
    protected get_cx(): boolean;
    readonly cx: boolean;
    protected get_isVertical(): boolean;
    readonly isVertical: boolean;
    protected get_c7(): boolean;
    readonly c7: boolean;
    protected get_cy(): boolean;
    readonly cy: boolean;
    protected get_df(): boolean;
    readonly df: boolean;
    protected get_dj(): boolean;
    readonly dj: boolean;
    protected get_dh(): boolean;
    readonly dh: boolean;
    protected get_isStacked(): boolean;
    readonly isStacked: boolean;
    protected get_c6(): boolean;
    readonly c6: boolean;
    protected get_di(): boolean;
    readonly di: boolean;
    protected get_cz(): boolean;
    readonly cz: boolean;
    protected get_c8(): boolean;
    readonly c8: boolean;
    protected get_dk(): boolean;
    readonly dk: boolean;
    protected get_dm(): boolean;
    readonly dm: boolean;
    a8(): Series;
    protected get_c1(): boolean;
    readonly c1: boolean;
    protected get_c2(): boolean;
    readonly c2: boolean;
    e2(a: Point, b: number, c: Axis, d: ScalerParams, e: number): number;
    protected e3(a: Point, b: number, c: Axis, d: ScalerParams, e: number, f: number, g: (arg1: Point) => number): number;
    protected get_eb(): boolean;
    readonly eb: boolean;
    protected fj(a: IList$1<number>, b: Point, c: Axis, d: ScalerParams, e: number, f: (arg1: Point) => number, g: boolean, h: boolean): number;
    e8(a: number, b: IList$1<number>, c: number, d: number, e: number, f: number, g: number, h: boolean): number;
    gg(a: Point, b: boolean, c: Axis, d: (arg1: Point) => number, e: IList$1<number>): number;
    e7(a: boolean): number;
    ah(a: Point): Point[][];
    ai(a: Point): Point[][];
    protected dx(a: Point, b: boolean): boolean;
    aj(a: CategoryAxisBase, b: List$1<number[]>, c: number, d: number, e: Point, f: boolean): number[][];
    protected dz(a: Point, b: boolean, c: PathGeometry): boolean;
    protected d0(a: Point, b: PathGeometry): boolean;
    ge(a: Point, b: boolean, c: Axis, d: (arg1: Point) => number, e: IList$1<number>): number;
    e6(a: Point, b: Axis): number;
    gf(a: Point, b: boolean): number;
    gd(a: Point, b: boolean): number;
    fh(a: Point, b: boolean, c: boolean): number;
    nt(a: Point, b: boolean, c: boolean): Point;
    n2(a: Point): Rect;
    ak(a: Point): Rect[];
    n3(a: Point): Rect;
    al(a: Point): Rect[];
    n4(a: Point): Rect;
    n5(a: Point): Rect;
    protected d1(a: Point, b: boolean): boolean;
    protected nv(a: Point, b: boolean, c: boolean, d: number, e: Axis, f: Axis, g: (arg1: Point, arg2: boolean, arg3: boolean) => number, h: (arg1: Point, arg2: boolean) => number, i: (arg1: Point, arg2: boolean) => number): Point;
    fd(a: Point, b: boolean, c: boolean): number;
    np(a: Point, b: boolean, c: boolean): Point;
    ff(a: Point, b: boolean, c: boolean): number;
    nr(a: Point, b: boolean, c: boolean): Point;
    nu(a: Point, b: boolean, c: boolean): Point;
    fi(a: Point, b: boolean, c: boolean): number;
    nq(a: Point, b: boolean, c: boolean): Point;
    fe(a: Point, b: boolean, c: boolean): number;
    ns(a: Point, b: boolean, c: boolean): Point;
    fg(a: Point, b: boolean, c: boolean): number;
    ga(a: Point): number;
    e9(): number;
    e5(a: Point): number;
    gr(a: Point): any;
    ct(a: List$1<SeriesPointOfInterest>, b: boolean, c: number): boolean;
    propertyChanged: (sender: any, e: PropertyChangedEventArgs) => void;
    propertyUpdated: (sender: any, e: PropertyUpdatedEventArgs) => void;
    protected raisePropertyChanged(a: string, b: any, c: any): void;
    protected get_hasMarkers(): boolean;
    readonly hasMarkers: boolean;
    j1(): void;
    ne(): Brush;
    nf(): Brush;
    lu(): DataTemplate;
    fc(): number;
    nw(a: Point): Point;
    no(a: Point): Point;
    gw(a: any, b: Point): any;
    dq(a: any): boolean;
    ao(a: Axis): AxisRange;
    ap(a: Rect): AxisRange;
    protected an(a: AxisRange, b: NumericAxisBase, c: Rect): AxisRange;
    protected ju(): void;
    k3(a: boolean): void;
    renderRequested: (sender: any, e: RenderRequestedEventArgs) => void;
    private jr;
    k4(a: boolean): void;
    protected d3: boolean;
    protected jh(): void;
    protected jm(): void;
    br: SeriesView;
    k5(a: Rect, b: RenderSurface): void;
    k2(a: Rect, b: Rect, c: RenderSurface, d: string, e: number): void;
    getEffectiveViewport1(a: SeriesView): Rect;
    ny(a: SeriesView): Rect;
    n1(a: Rect): Rect;
    n0(a: SeriesView): Rect;
    getEffectiveViewport(): Rect;
    kx(): void;
    protected get_cu(): boolean;
    readonly cu: boolean;
    protected get_cw(): boolean;
    readonly cw: boolean;
    private ky;
    kz(a: string): void;
    getViewInfo(a: Rect, b: Rect): {
        p0: Rect;
        p1: Rect;
    };
    ec(a: Rect, b: Rect, c: SeriesView): boolean;
    jl(a: boolean, b: SeriesView): void;
    protected co(): boolean;
    cp(a: SeriesView): boolean;
    kl(a: Rect, b: Rect): void;
    protected lo(a: Rect, b: Rect): void;
    protected ln(a: Rect, b: Rect): void;
    ar: ContentInfo;
    private ck;
    d2: boolean;
    protected jw(a: Series): void;
    protected kb(): void;
    ka(): void;
    protected get_db(): boolean;
    readonly db: boolean;
    protected get_isUsableInLegend(): boolean;
    readonly isUsableInLegend: boolean;
    protected kg(): void;
    kc(): void;
    protected km(): void;
    kn(): void;
    protected dv: boolean;
    protected dw: boolean;
    protected dp(): boolean;
    protected ko(a: boolean): void;
    private cl;
    protected d4: boolean;
    protected readonly d5: boolean;
    protected v(): void;
    protected w(a: Visibility, b: Visibility): void;
    protected kf(): void;
    protected kp(a: any, b: string, c: any, d: any): void;
    protected lf(): void;
    ll(a: Point): void;
    jt(): void;
    protected get_da(): boolean;
    protected readonly da: boolean;
    cq: boolean;
    protected jq(a: Series): void;
    b1: SyncLink;
    private b0;
    b6: SeriesViewer;
    private b5;
    b4: XamDataChart;
    readonly ej: (sender: any, e: NotifyCollectionChangedEventArgs) => void;
    readonly a7: (sender: any, e: PropertyUpdatedEventArgs) => void;
    readonly ce: (sender: any, e: RectChangedEventArgs) => void;
    itemsSource: IEnumerable;
    static readonly mc: DependencyProperty;
    cd: IFastItemsSource;
    f1: (sender: any, e: FastItemsSourceEventArgs) => void;
    protected jo(a: FastItemsSourceEventAction, b: number, c: number, d: string): void;
    legend: IChartLegend;
    static readonly mg: DependencyProperty;
    lr: Control;
    private lp;
    gx(): any;
    protected lq(): Control;
    az: IChartLegend;
    private ay;
    n8: Visibility;
    legendItemBadgeTemplate: DataTemplate;
    static readonly md: DependencyProperty;
    bz: StandardLegendItems;
    bx: StandardLegendBadges;
    by: StandardLegendItems;
    legendItemTemplate: DataTemplate;
    static readonly me: DependencyProperty;
    lt: DataTemplate;
    static readonly l4: DependencyProperty;
    gi: number;
    static readonly l8: DependencyProperty;
    lm(): void;
    js(): void;
    protected lg(): void;
    b8: (time: number) => number;
    b9: (time: number) => number;
    cs: boolean;
    gj: number;
    fw: number;
    cn(): boolean;
    lb(): void;
    fq: number;
    private eo;
    protected ey: number;
    f0: number;
    private el;
    protected ev: number;
    fx: number;
    private em;
    protected ew: number;
    fy: number;
    private en;
    protected ex: number;
    fz: number;
    gy: any;
    nb: Brush;
    m9: Brush;
    nc: Brush;
    nd: Brush;
    ng: Brush;
    na: Brush;
    fo: number;
    fv: number;
    eu: number;
    e0: number;
    nk: PenLineCap;
    nj: DoubleCollection;
    toolTip: any;
    private bd;
    be: SeriesHighlightingMode;
    protected bf(): SeriesHighlightingMode;
    protected dl(a: SeriesHighlightingMode): boolean;
    private ek;
    es: number;
    fm: number;
    c0: boolean;
    c9: boolean;
    c4: boolean;
    protected get_c5(): boolean;
    readonly c5: boolean;
    fs: number;
    ni: Color;
    ea: boolean;
    ft: number;
    fu: number;
    ez: number;
    er: number;
    ld(): void;
    fn: number;
    et: number;
    le(): void;
    protected fr(): number;
    private cj;
    c3: boolean;
    du: boolean;
    private bt;
    bu: SeriesVisibleRangeMode;
    bv(): SeriesVisibleRangeMode;
    bw: SeriesVisibleRangeMode;
    private bl;
    bm: SeriesOutlineMode;
    bo(): SeriesOutlineMode;
    bn: SeriesOutlineMode;
    at(a: any): DataContext;
    gk: number;
    b3: TransitionInSpeedType;
    protected b2(): TransitionInSpeedType;
    go: any;
    k1(): void;
    k6(): void;
    k0(): void;
    ji(): void;
    j2(): void;
    private static _eh;
    static eh(a: (arg1: number) => number, b: number, c: number): IEnumerable$1<number>;
    static eg(a: (arg1: number) => number, b: number): IEnumerable$1<number>;
    nm: PenLineCap;
    nl: PenLineCap;
    private ba;
    bb(): SeriesComponentsForView;
    k7(a: Canvas): void;
    fk(): number;
    fl(): number;
    private cm;
    protected get_d6(): boolean;
    protected set_d6(a: boolean): void;
    protected d6: boolean;
    readonly ds: boolean;
    dn: boolean;
    jj(): void;
    au(a: any, b: Point, c: boolean): HighlightingInfo;
    av(a: any, b: Point, c: boolean): HighlightingInfo;
    kh(a: Point, b: any, c: any, d: boolean): void;
    la(a: Point): void;
    private jf;
    private jk;
    je(a: IChartLegend, b: IChartLegend): void;
    private jg;
    kw(a: IFastItemsSourceProvider): void;
    kv(a: IFastItemsSourceProvider): void;
    protected a0(): IChartLegend;
    protected dt(): boolean;
    dr(a: boolean): boolean;
    protected jp(a: Axis): void;
    protected ku(a: Axis): void;
    bc(): SeriesComponentsFromView;
    lh(a: Canvas): void;
    k9(a: Point, b: (arg1: any) => void): void;
    protected get_d8(): boolean;
    readonly d8: boolean;
    kq(a: RenderingContext, b: RenderingContext): void;
    ks(a: Rect): void;
    j0(a: NotifyCollectionChangedEventArgs): void;
    j8(a: number, b: any, c: any): void;
    j5(): void;
    j6(a: number, b: any): void;
    j7(a: number, b: any): void;
    lc(): void;
    g0: any;
    f3: (arg1: any) => any;
    dy(a: Point, b: boolean): boolean;
    protected _coercionMethods: any;
    protected get_coercionMethods(): any;
    protected set_coercionMethods(a: any): void;
    coercionMethods: any;
    private ci;
    protected get_expectFunctions(): boolean;
    protected set_expectFunctions(a: boolean): void;
    expectFunctions: boolean;
    as(a: Point, b: boolean): DataContext;
    private bh;
    bk: SeriesHitTestMode;
    protected bj(): SeriesHitTestMode;
    private bg;
    bi: SeriesHitTestMode;
    protected ca(a: string): IFastItemColumn$1<number>;
    protected cb(a: string): IFastItemColumn$1<number>;
    protected cc(a: string): IFastItemColumn$1<any>;
    protected readonly n6: Rect;
    protected get_de(): boolean;
    readonly de: boolean;
    protected get_dd(): boolean;
    readonly dd: boolean;
    k8(a: Brush, b: Brush): void;
    ch: (arg1: SeriesViewer) => void;
    protected jn(a: any, b: any): void;
    gp(): any;
    protected jv(a: any): void;
    private nn;
    j3(a: Point): void;
    protected ke(a: Point): void;
    j4(): void;
    j9(): void;
    am(a: Axis): Axis;
    ag(): Axis[];
    fa(): number;
    static fb(a: IList$1<number>, b: ISortingAxis): number;
    kd(): void;
    private ep;
    e1: number;
    private eq;
    fp: number;
    protected lk(): void;
    gs(a: any): any;
    readonly hb: string;
    readonly g3: string;
    readonly g4: string;
    readonly g9: string;
    readonly hg: string;
    readonly hf: string;
    readonly hd: string;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare abstract class MarkerSeries extends Series {
    static $t: Type;
    oh: MarkerSeriesView;
    constructor();
    n7(): Thickness;
    kk(a: SeriesView): void;
    protected get_hasMarkers(): boolean;
    ne(): Brush;
    nf(): Brush;
    lu(): DataTemplate;
    oi: MarkerType;
    private od;
    oe: MarkerOutlineMode;
    og(): MarkerOutlineMode;
    lj(a: MarkerOutlineMode): void;
    of: MarkerOutlineMode;
    private n9;
    oa: MarkerFillMode;
    oc(): MarkerFillMode;
    li(a: MarkerFillMode): void;
    ob: MarkerFillMode;
    o5: DataTemplate;
    on: number;
    fc(): number;
    o3: DataTemplate;
    o4: DataTemplate;
    private static o2;
    static readonly o6: DataTemplate;
    pl: Brush;
    static readonly pa: DependencyProperty;
    pj: Brush;
    pm: Brush;
    pk: Brush;
    pn: Style;
    om: boolean;
    ok(): boolean;
    protected kf(): void;
    protected kp(a: any, b: string, c: any, d: any): void;
    static os(a: MarkerType): string;
    static oj(a: Series, b: MarkerType): MarkerType;
    protected lg(): void;
    protected jv(a: any): void;
    protected ol(a: Point, b: boolean): boolean;
    as(a: Point, b: boolean): DataContext;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class SyncLink extends FrameworkElement implements INotifyPropertyChanged, IFastItemsSourceProvider {
    static $t: Type;
    constructor();
    ai: string;
    protected am(a: any, b: string, c: any, d: any): void;
    releaseFastItemsSource(a: IEnumerable): IFastItemsSource;
    static ah: (arg1: IEnumerable) => IFastItemsSource;
    private static ad;
    getFastItemsSource(a: IEnumerable): IFastItemsSource;
    ae(a: IEnumerable): IFastItemsSource;
    private af;
    aq: Rect;
    private ar;
    private as;
    readonly ag: IList$1<SeriesViewer>;
    ab: ChartCollection;
    private aj;
    ak(a: SeriesViewer, b: Point): void;
    al(a: SeriesViewer, b: Rect): void;
    ao(a: SeriesViewer, b: Rect): void;
    ap(a: SeriesViewer, b: Rect, c: boolean): void;
    propertyChanged: (sender: any, e: PropertyChangedEventArgs) => void;
    propertyUpdated: (sender: any, e: PropertyUpdatedEventArgs) => void;
    protected an(a: string, b: any, c: any): void;
}
/**
 * @hidden
 */
export declare class SyncLinkManager extends Base {
    static $t: Type;
    private static b;
    static instance(): SyncLinkManager;
    private d;
    readonly e: number;
    constructor();
    getLink(a: string): SyncLink;
    releaseLink(a: SyncLink): void;
}
/**
 * @hidden
 */
export declare class SyncManager extends Base {
    static $t: Type;
    static e(a: SeriesViewer): void;
    static c(a: SeriesViewer): void;
    static b(a: SeriesViewer, b: string, c: string): void;
    static d(a: DependencyObject, b: SyncSettings): void;
    static a(a: DependencyObject): SyncSettings;
}
/**
 * @hidden
 */
export declare class ChartCollection extends ObservableCollection$1<SeriesViewer> {
    static $t: Type;
    constructor();
    collectionResetting: (sender: any, e: EventArgs) => void;
    protected p(): void;
}
/**
 * @hidden
 */
export declare class SeriesCollection extends ObservableCollection$1<Series> {
    static $t: Type;
    constructor();
    collectionResetting: (sender: any, e: EventArgs) => void;
    protected p(): void;
}
/**
 * @hidden
 */
export declare class PlotAreaMouseEventArgs extends EventArgs {
    static $t: Type;
    constructor(a: SeriesViewer, b: Point, c: Point);
    private _chartPosition;
    chartPosition: Point;
    private _plotAreaPosition;
    plotAreaPosition: Point;
    private _isDuringManipulation;
    isDuringManipulation: boolean;
    private _viewer;
    viewer: SeriesViewer;
}
/**
 * @hidden
 */
export declare class PlotAreaMouseButtonEventArgs extends EventArgs {
    static $t: Type;
    constructor(a: SeriesViewer, b: Point, c: Point);
    private _chartPosition;
    chartPosition: Point;
    private _plotAreaPosition;
    plotAreaPosition: Point;
    private _manipulationOccurred;
    manipulationOccurred: boolean;
    private _viewer;
    viewer: SeriesViewer;
}
/**
 * @hidden
 */
export declare class ChartCursorEventArgs extends EventArgs {
    static $t: Type;
    constructor(a: SeriesViewer, b: Series, c: any);
    toString(): string;
    private _item;
    item: any;
    private _series;
    series: Series;
    private _seriesViewer;
    seriesViewer: SeriesViewer;
    readonly chart: XamDataChart;
}
/**
 * @hidden
 */
export declare class DataChartMouseButtonEventArgs extends EventArgs {
    static $t: Type;
    constructor(a: SeriesViewer, b: Series, c: any, d: MouseButtonEventArgs);
    toString(): string;
    protected g: MouseButtonEventArgs;
    handled: boolean;
    getPosition(a: UIElement): Point;
    readonly originalSource: any;
    private _item;
    item: any;
    private _series;
    series: Series;
    private _chart;
    chart: SeriesViewer;
}
/**
 * @hidden
 */
export declare class ChartMouseEventArgs extends EventArgs {
    static $t: Type;
    constructor(a: SeriesViewer, b: Series, c: any, d: MouseEventArgs);
    toString(): string;
    private f;
    getPosition(a: UIElement): Point;
    readonly originalSource: any;
    private _item;
    item: any;
    private _series;
    series: Series;
    private _chart;
    chart: SeriesViewer;
}
/**
 * @hidden
 */
export declare class AxisComponentsForView extends Base {
    static $t: Type;
    a: AxisLabelPanelBase;
}
/**
 * @hidden
 */
export declare class AxisLabelPanelBaseView extends Base {
    static $t: Type;
    protected a: AxisLabelPanelBase;
    av: Path;
    constructor(a: AxisLabelPanelBase);
    aa(a: FrameworkElement, b: Rect, c: number, d: number, e: number, f: number): void;
    z(a: Rectangle, b: TextBlock, c: LabelPosition, d: Rect, e: number, f: number, g: number, h: number): void;
    ad(a: FrameworkElement): void;
    ag(a: any): void;
    ah(a: any, b: Size): void;
    ai(a: FrameworkElement, b: number): void;
    aq(a: Rectangle, b: TextBlock, c: LabelPosition, d: Rect, e: number, f: number, g: number, h: number, i: number): void;
    x(a: TextBlock, b: number, c: number, d: number): string;
    ae(): void;
    g(): IEnumerable$1<any>;
    l(a: any): number;
    n(a: any): number;
    am(): void;
    m(a: any): number;
    w(a: any): number;
    ac(): void;
    aj(): void;
    protected e: RenderingContext;
    f(): RenderingContext;
    ak(a: RenderingContext): void;
    y(): void;
    protected al(): void;
    private au;
    protected ao(a: TextBlock): void;
    an(): void;
    d(): FontInfo;
    as(): Brush;
    private c;
    af(): void;
    private h;
    private ar;
    private i;
    j(): number;
    k(): number;
    protected ap(): void;
    ab(a: Size): void;
    protected aw(): Thickness;
    v(): number;
    s(): number;
    t(): number;
    u(): number;
    at(): GeometryCollection;
    b(): PathRenderingInfo;
    r(): number;
    p(): number;
    q(): number;
    o(): number;
}
/**
 * @hidden
 */
export declare class AxisView extends Base implements ISchedulableRender {
    static $t: Type;
    protected a: Axis;
    constructor(a: Axis);
    ag(): void;
    ai(a: any): void;
    a7: Path;
    a8: Path;
    ba: Path;
    a9: Path;
    ax(): TextBlock;
    aq(a: TextBlock): void;
    as(a: TextBlock): void;
    ar(a: TextBlock): void;
    bc(): Rectangle;
    p(a: Rectangle): void;
    r(a: Rectangle): void;
    q(a: Rectangle): void;
    aj(): void;
    m(): boolean;
    readonly index: number;
    ad(): void;
    ab(): void;
    x(): void;
    av(a: Visibility): void;
    an(): void;
    w(a: AxisLabelSettings): void;
    private b;
    c(): AxisComponentsFromView;
    z(a: GeometryCollection): void;
    ay(): GeometryCollection;
    e(): PathRenderingInfo;
    a1(): GeometryCollection;
    az(): GeometryCollection;
    f(): PathRenderingInfo;
    a0(): GeometryCollection;
    g(): PathRenderingInfo;
    protected readonly d: AxisLabelPanelBase;
    at(a: Axis, b: Rect, c: Rect): void;
    y(): void;
    ap(a: number): void;
    au(a: List$1<any>, b: List$1<LabelPosition>): void;
    ao(a: number): void;
    v(): void;
    private h;
    o(a: number): string;
    n(dataItem_: any): any;
    protected k: RenderingContext;
    j: RenderingContext;
    af(a: RenderingContext, b: RenderingContext): void;
    private _isDirty;
    isDirty: boolean;
    protected ae(): void;
    undirty(a: boolean): void;
    private bb;
    protected al(a: boolean): void;
    postRender(): void;
    private a5;
    protected am(): void;
    ac(): void;
    aa(a: SeriesViewer): void;
    u(a: SeriesViewer): void;
    i(): FontInfo;
    l(): boolean;
    ak(): void;
    t(): void;
    aw(): void;
    s(a: AxisLabelSettings, b: string): void;
    preRender(): void;
    isValid(): boolean;
    a2(a: TextBlock): Point;
    a3(): Point;
    a6(): Rect;
    a4(a: TextBlock): Point;
    bd(a: TextBlock): Thickness;
    ah(): void;
}
/**
 * @hidden
 */
export declare class CategoryAxisBaseView extends AxisView {
    static $t: Type;
    protected be: CategoryAxisBase;
    constructor(a: CategoryAxisBase);
    o(a: number): string;
    bf(a: List$1<any>): number;
}
/**
 * @hidden
 */
export declare class HorizontalAxisLabelPanelBaseView extends AxisLabelPanelBaseView {
    static $t: Type;
    protected ax: HorizontalAxisLabelPanelBase;
    constructor(a: HorizontalAxisLabelPanelBase);
    az(): void;
    ay(): boolean;
    a0(a: List$1<Rect>): void;
}
/**
 * @hidden
 */
export declare class NumericAxisBaseView extends AxisView {
    static $t: Type;
    protected be: NumericAxisBase;
    constructor(a: NumericAxisBase);
    bf(): void;
    o(a: number): string;
}
/**
 * @hidden
 */
export declare class VerticalAxisLabelPanelView extends AxisLabelPanelBaseView {
    static $t: Type;
    protected ax: VerticalAxisLabelPanel;
    constructor(a: VerticalAxisLabelPanel);
    ay(): void;
    d(): FontInfo;
    protected aw(): Thickness;
    as(): Brush;
    az(a: List$1<Rect>, b: number): void;
}
/**
 * @hidden
 */
export declare class XamDataChartView extends SeriesViewerView {
    static $t: Type;
    constructor(a: XamDataChart);
    protected fi: XamDataChart;
    fm(a: any): void;
    protected dp(): void;
    d1(): void;
    fr: Brush;
    fn: Brush;
    fo: Brush;
    fq: Brush;
    fp: Brush;
    fk: number;
    fl: number;
    protected dy(): void;
    fj: FontInfo;
}
/**
 * @hidden
 */
export declare class SeriesView extends Base implements ISchedulableRender, IProvidesViewport {
    static $t: Type;
    protected e: Series;
    s: boolean;
    constructor(a: Series);
    getDefaultTooltipTemplate(): string;
    ap(): void;
    j(): IExecutionContext;
    private h;
    protected readonly i: IExecutionContext;
    d: DataContext;
    as(): void;
    getEffectiveViewport(): Rect;
    az(): void;
    aj(): void;
    readonly w: DomRenderer;
    private _isDirty;
    isDirty: boolean;
    protected get_index(): number;
    readonly index: number;
    protected aq(): void;
    undirty(a: boolean): void;
    private bw;
    au(): void;
    private bn;
    bq(): Brush;
    v: number;
    private u;
    protected a4(a: boolean): void;
    private br;
    protected bd(a: any, b: number, c: boolean): void;
    protected bg(a: any, b: number, c: boolean): void;
    protected aa(a: number, b: boolean): any;
    protected ab(a: number): any;
    protected ac(a: number): any;
    protected be(a: any, b: number): void;
    protected bh(a: any, b: number): void;
    protected bf(a: any, b: number): void;
    protected bi(a: any, b: number): void;
    protected ba(a: boolean): void;
    protected bb(): void;
    protected bc(): void;
    private bm;
    protected bp(a: number): Brush;
    protected bo(): Brush;
    protected a6(a: RenderingContext, b: boolean): void;
    protected a5(a: RenderingContext, b: boolean): void;
    ax(): void;
    am(): void;
    an(): void;
    private f;
    g(): SeriesComponentsFromView;
    a9(a: Canvas): void;
    t(): boolean;
    aw(): void;
    av(): void;
    a7(): void;
    ah(): void;
    a8(): void;
    ai(): void;
    c(a: any): DataContext;
    protected k: RenderingContext;
    protected l: RenderingContext;
    ar(a: RenderingContext, b: RenderingContext): void;
    private bs;
    bu: Rect;
    bt: Rect;
    protected get_bv(): Rect;
    readonly bv: Rect;
    private m;
    q: boolean;
    ak(a: SeriesViewer): void;
    a: CanvasRenderScheduler;
    ag(a: SeriesViewer): void;
    postRender(): void;
    protected a0(): void;
    b(a: number): DataContext;
    a2(a: RenderSurface): void;
    al(a: any): void;
    bj(): void;
    at(): void;
    ay(): void;
    getViewInfo(a: Rect, b: Rect): {
        p0: Rect;
        p1: Rect;
    };
    o(): boolean;
    protected r: boolean;
    bk(): void;
    a3(): void;
    protected af(): void;
    ao(): void;
    preRender(): void;
    isValid(): boolean;
    n: boolean;
    p: boolean;
    a1(a: RenderSurface): void;
    ad: string;
    bl(type_: StandardLegendItems): DataTemplate;
}
/**
 * @hidden
 */
export declare abstract class MarkerSeriesView extends SeriesView {
    static $t: Type;
    protected b1: MarkerSeries;
    private b5;
    private b7;
    private b6;
    constructor(a: MarkerSeries);
    as(): void;
    cg(): void;
    cq(): Size;
    cn(a: boolean): void;
    protected b4: List$1<Marker>;
    b0(): Marker;
    abstract cf(a: (arg1: Marker) => void): void;
    cj(a: Marker): void;
    cl(a: Marker): void;
    ck(a: Marker): void;
    b2(): boolean;
    ce(): void;
    b8(): void;
    cp(a: Marker): Rect;
    cb(a: string): void;
    cc(): void;
    b9(): void;
    cd(): void;
    ca(): void;
    cm(): void;
    b3: boolean;
    protected bh(a: any, b: number): void;
    private bx;
    protected bi(a: any, b: number): void;
    b(a: number): DataContext;
    private co;
    protected a5(a: RenderingContext, b: boolean): void;
    ch(a: HashPool$2<any, Marker>): void;
    ci(a: Pool$1<Marker>): void;
    by(a: Point): Marker;
    private bz;
}
/**
 * @hidden
 */
export declare class ChartAxisRangeChangedEventArgs extends EventArgs {
    static $t: Type;
    constructor(a: SeriesViewer, b: Axis, c: number, d: number, e: number, f: number);
    private _chart;
    chart: SeriesViewer;
    private _axis;
    axis: Axis;
    private _oldMinimumValue;
    oldMinimumValue: number;
    private _minimumValue;
    minimumValue: number;
    private _oldMaximumValue;
    oldMaximumValue: number;
    private _maximumValue;
    maximumValue: number;
}
